job [[ .mail.relay.job_name | toJSON ]] {

[[ template "common/job_start.tpl" . ]]

  group "smtp-relay" {

    count = [[ .mail.relay.count ]]

    network {
      mode = "bridge"
    }

    volume "smtp-relay" {
      type            = [[ .mail.relay.volume.type | toJSON ]]
      source          = [[ .mail.relay.volume.source | toJSON ]]
      attachment_mode = "file-system"
      access_mode     = "single-node-writer"
      [[- if gt .mail.relay.count 1 ]]
      per_alloc       = true
      [[- end ]]
    }

    service {
      name = "[[ .mail.relay.job_name ]][[ .env.suffix ]]"
      port = 8025

[[ template "common/connect.tpl" dict "ctx" . "config" .mail.relay ]]
    }

    task "exim" {
      driver = [[ .mail.relay.driver | toJSON ]]

      config {
        image = [[ .mail.relay.image | toJSON ]]
      }

      vault {
        policies = ["[[ .mail.relay.job_name ]][[ .env.suffix ]]"]
        env = false
        disable_file = true
      }

      env {
        HOSTNAME = "[[ .mail.relay.job_name ]].service.[[ .consul.domain ]]"
        LOCAL_DOMAINS = ""
        RELAY_FROM_HOSTS = "127.0.0.1"
        DISABLE_SENDER_VERIFICATION = "true"
        SMARTHOST = "[[ .mail.relay.host ]]::[[ .mail.relay.port ]]"
        [[ template "common/env.tpl" .mail.relay.env ]]
      }

      template {
        data =<<_EOF
# SMTP Auth
[[- if has .mail.relay "user" ]]
SMTP_USERNAME=[[ .mail.relay.user ]]
SMTP_PASSWORD={{ with secret "[[ .vault.prefix ]]kv/service/smtp-relay" }}{{ .Data.data.pwd }}{{ end }}
[[- end ]]
_EOF
        destination = "secrets/env"
        uid         = 100000
        gid         = 100000
        perms       = 0400
        env         = true
      }

      volume_mount {
        volume      = "smtp-relay"
        destination = "/var/spool/exim"
      }

[[ template "common/resources.tpl" .mail.relay.resources ]]

    }
  }
}
